services:
  bot:
    build: .
    container_name: video_download_bot
    restart: unless-stopped
    env_file:
      - .env
    environment:
      - TELEGRAM_BOT_TOKEN=${TELEGRAM_BOT_TOKEN}
      - TELEGRAM_BOT_USERNAME=${TELEGRAM_BOT_USERNAME}
      - YOUTUBE_DOWNLOADER_URL=${YOUTUBE_DOWNLOADER_URL}
      - INSTAGRAM_DOWNLOADER_URL=${INSTAGRAM_DOWNLOADER_URL}
      - VK_DOWNLOADER_URL=${VK_DOWNLOADER_URL}
    volumes:
      - ./video:/app/video
      - ./data:/app/data:Z
    network_mode: host
